> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chainstack.com/llms.txt
> Use this file to discover all available pages before exploring further.

<AgentInstructions>

## Submitting Feedback

If you encounter incorrect, outdated, or confusing documentation on this page, submit feedback:

POST https://docs.chainstack.com/feedback

```json
{
  "path": "/reference/chainstack-platform-api-v2-update-node",
  "feedback": "Description of the issue"
}
```

Only submit feedback when you have something specific and actionable to report.

</AgentInstructions>

# Update a node with the Chainstack Platform API v2

> Update the configuration or properties of a blockchain node using the Chainstack Platform API v2. Send a PATCH request to /v2/nodes/{id}/ with new fields.



## OpenAPI

````yaml patch /v2/nodes/{id}/
openapi: 3.0.3
info:
  x-logo:
    url: https://chainstack.com/assets/docs/api-docs-logo.svg
    backgroundColor: '#F5F8FC'
    altText: Chainstack
  title: 💙 CHAINSTACK PLATFORM API
  version: v2
  contact:
    name: API Support
    email: support@chainstack.com
  description: >
    A set of API endpoints to operate and manage the platform resources.<br>

    See also a [quick API
    tutorial](https://docs.chainstack.com/reference/quick-tutorial).
servers:
  - url: https://api.chainstack.com
    description: API endpoint
security: []
paths:
  /v2/nodes/{id}/:
    parameters:
      - $ref: '#/components/parameters/Id'
    patch:
      tags:
        - Node V2
      summary: Update node
      description: Change the node name.
      operationId: updateNodeV2
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/NodeUpdateV2'
            examples:
              node:
                value:
                  name: My new node name
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NodeV2'
              examples:
                node:
                  value:
                    id: ND-123-456-789
                    name: My new node name
                    network: mainnet
                    protocol: ethereum
                    project: PR-123-456-789
                    cloud: CC-0001
                    region: us-east-1
                    provider: aws
                    status: running
                    details:
                      api_namespaces:
                        - net
                        - eth
                        - web3
                        - txpool
                        - debug
                      https_endpoint: https://nd-123-456-789.p2pify.com
                      wss_endpoint: wss://ws-nd-123-456-789.p2pify.com
                      beacon_endpoint: https://beacon-nd-123-456-789.p2pify.com
                      graphql_endpoint: https://nd-123-456-789.p2pify.com/graphql
                    blockchain: BC-000-000
          description: ''
        '400':
          $ref: '#/components/responses/ValidationError'
        '401':
          $ref: '#/components/responses/UnauthorizedError'
        '403':
          $ref: '#/components/responses/ForbiddenError'
        '404':
          $ref: '#/components/responses/NotFoundError'
      security:
        - APIKeyAuthentication: []
components:
  parameters:
    Id:
      name: id
      in: path
      required: true
      description: A unique value identifying the Object.
      schema:
        type: string
  schemas:
    NodeUpdateV2:
      type: object
      properties:
        name:
          type: string
          description: Name of the node.
    NodeV2:
      type: object
      required:
        - id
        - name
        - network
        - protocol
        - project
        - cloud
        - region
        - provider
        - status
        - details
        - blockchain
      properties:
        id:
          type: string
          readOnly: true
        name:
          type: string
          description: Name of the node.
        network:
          type: string
          readOnly: true
          description: Network name.
        protocol:
          type: string
          readOnly: true
          description: Protocol name.
        project:
          type: string
          description: ID of the project.
        cloud:
          type: string
          description: ID of the cloud.
        region:
          type: string
          readOnly: true
          description: Cloud region.
        provider:
          type: string
          readOnly: true
          description: Cloud provider.
        status:
          type: string
          readOnly: true
          description: Status of the node.
        details:
          type: object
          readOnly: true
          description: Protocol-specific attributes.
        blockchain:
          type: string
          description: Blockchain identifier.
          example: BC-000-000
  responses:
    ValidationError:
      description: Validation error.
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: object
                properties:
                  code:
                    type: string
                    description: A string indicating the kind of error.
                  message:
                    type: string
                    description: A human-readable description of the error.
                  fields:
                    type: object
                    additionalProperties:
                      type: array
                      items:
                        type: string
                    description: Optional. Field-level validation errors.
    UnauthorizedError:
      description: Authentication credentials were missing or incorrect.
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: object
                properties:
                  code:
                    type: string
                    description: A string indicating the kind of error.
                  message:
                    type: string
                    description: A human-readable description of the error.
    ForbiddenError:
      description: The request is not allowed with the current permissions.
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: object
                properties:
                  code:
                    type: string
                    description: A string indicating the kind of error.
                  message:
                    type: string
                    description: A human-readable description of the error.
    NotFoundError:
      description: >-
        Object does not exist or caller has insufficient permissions to access
        it.
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: object
                properties:
                  code:
                    type: string
                    description: A string indicating the kind of error.
                  message:
                    type: string
                    description: A human-readable description of the error.
  securitySchemes:
    APIKeyAuthentication:
      type: http
      scheme: bearer
      description: >
        Chainstack API uses [API
        keys](https://docs.chainstack.com/reference/platform-api-getting-started)
        to authenticate requests. You can view and manage your API keys in the
        platform UI.

        Your API keys carry many privileges, so be sure to keep them secure!

        Provide your API key as the `Authorization` header. The value of the
        header consists of `Bearer` prefix and secret key generated through the
        platform UI.


        ```bash

        curl -X GET 'https://api.chainstack.com/v1/organization/' \

        --header 'Authorization: Bearer
        FX7CWlLg.FMpAO8cgCX2N7s41EncRru2nb5CmTZUt'

        ```


        All API requests must be made over HTTPS.

````